{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function sched_rpt1, send_event, msg\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n\r\nEntryDateFrom = .entry_date_from->text\r\nEntryDateThru = .entry_date_thru->text\r\nCusts = .customer_info->array<1>\r\nswap @vm:@vm with '' in Custs\r\nif Custs[-1,1] = @vm then Custs[-1,1] = ''\r\nDirToPrint   = .send_to_printer->text\r\nOpen   = .open_check->check \r\nClosed = .closed_check->check\r\nRetVal = EntryDateFrom:'*':EntryDateThru:'*':Custs:'*':Open:'*':Closed:'*':DirToPrint\r\nend_dialog( @window, RetVal )\r\nreturn 0\r\n"
        }
    }
}